Assign drivers to unidentified driving periods (UDEs/DPEs)

Purpose: This endpoint enables fleets to programmatically assign a driver to unidentified driving periods (UDEs: Unidentified Driver Events, DPEs: Driver Pending Events) within Motive, streamlining integrations with third-party driver-vehicle assignment systems and improving data quality for compliance and safety analytics.

This endpoint allows you to:

  • Perform driver assignment to fleets that use third-party apps for and want those assignments reflected in Motive.
  • View Motive’s safety and analytics features, such as driver scoring, to work accurately even when trips start as unidentified.

📘

NOTE

Only drivers with "exempt" status can be assigned; attempts to assign logbook/HOS drivers will result in a 400 error.

Response Parameters

driving_period

  • Type: Object
  • Description: Details of a single driving period.

id

  • Type: Integer
  • Description: The unique identifier for the driving period.

start_time

  • Type: String
  • Description: The start time of the driving period.

end_time

  • Type: String
  • Description: The end time of the driving period.

status

  • Type: String
  • Description: The status of the driving period (if available).

type

  • Type: String
  • Description: The type of the driving period (e.g., "driving").

annotation_status

  • Type: String
  • Description: The annotation status of the driving period (if available).

notes

  • Type: String
  • Description: Any notes associated with the driving period.

duration

  • Type: Integer
  • Description: The duration of the driving period in seconds.

start_kilometers

  • Type: Integer
  • Description: The odometer reading at the start of the driving period in kilometers.

end_kilometers

  • Type: Integer
  • Description: The odometer reading at the end of the driving period in kilometers.

source

  • Type: Integer
  • Description: The source of the driving period data.

driver

  • Type: Object
  • Description: The driver associated with the driving period.

id

  • Type: Integer
  • Description: The unique identifier for the driver.

first_name

  • Type: String
  • Description: The first name of the driver.

last_name

  • Type: String
  • Description: The last name of the driver.

username

  • Type: String
  • Description: The username of the driver (if available).

email

  • Type: String
  • Description: The email address of the driver.

driver_company_id

  • Type: String
  • Description: The company ID associated with the driver (if available).

vehicle

  • Type: Object
  • Description: The vehicle associated with the driving period.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle.

number

  • Type: String
  • Description: The vehicle number.

year

  • Type: String
  • Description: The year of manufacture of the vehicle.

make

  • Type: String
  • Description: The make of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

vin

  • Type: String
  • Description: The Vehicle Identification Number (VIN) of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether metric units are used for this vehicle.

origin

  • Type: String
  • Description: The starting location of the driving period.

origin_lat

  • Type: Float
  • Description: The latitude of the origin location.

origin_lon

  • Type: Float
  • Description: The longitude of the origin location.

destination_lat

  • Type: Float
  • Description: The latitude of the destination location.

destination_lon

  • Type: Float
  • Description: The longitude of the destination location.

destination

  • Type: String
  • Description: The destination location of the driving period.

distance

  • Type: String
  • Description: The distance covered during the driving period.

start_hvb_state_of_charge

  • Type: String
  • Description: The state of charge of the high-voltage battery at the start of the driving period.

end_hvb_state_of_charge

  • Type: String
  • Description: The state of charge of the high-voltage battery at the end of the driving period.

start_hvb_lifetime_energy_output

  • Type: String
  • Description: The lifetime energy output of the high-voltage battery at the start of the driving period.

end_hvb_lifetime_energy_output

  • Type: String
  • Description: The lifetime energy output of the high-voltage battery at the end of the driving period.

Path Params
int32
required

Specify the ID of the driving period for which you want to assign a driver.

Query Params
int32
required

Specify the ID of the driver to whom you are assigning this driving period.

string

Specify any notes or reason for assigning this trip to the driver.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json